Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

Azure Secrets Management APIs

Recovering Soft-Deleted Azure Secrets

search

Please Note:

Recovering Soft-Deleted Azure Secrets

Use the post /v1/cckm/azure/secrets/{id}/recover to recover a soft-deleted Azure secret.

Syntax

curl -k '<IP>/api/v1/cckm/azure/secrets/{id}/recover' -X POST -H 'Authorization: Bearer AUTHTOKEN' -H 'accept: application/json' --compressed

Here, {id} is the resource ID of the secret on the CipherTrust Manager.

Request Parameter

Parameter Type Description
AUTHTOKEN string Authorization token.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/azure/secrets/ad3d61f4-c627-41dd-a4f1-40e3d51b5ad2/recover' -X POST -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiI1MDIzNTY1Yy0xOWI3LTQyY2UtODZmMi1jNWI3MTA1MTJhZjMiLCJzdWIiOiJsb2NhbHwwMWI4M2EwZS1mY2U1LTQ5MjgtODhiNi0zNTNkMmQ3ZTBiNDMiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiZGJlNzU2MWYtZDVhOS00ZGEzLWJiZTEtNjlhMTg0Y2U3YzEzIiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6IjRmMGExN2Y0LWQxOGUtNGE5YS04ZWM2LTU1ZjI2ZjJjNTMzMiIsImlhdCI6MTYwMTQ2MTEwNiwiZXhwIjoxNjAxNDYxNDA2fQ.P_d2ngOq_AlxqXhfG-saEvQRYZCSzQbzR2S6Jzv6Ogs' -H 'accept: application/json' --compressed

Example Response

{
    "id": "ad3d61f4-c627-41dd-a4f1-40e3d51b5ad2",
    "uri": "kylo:kylo:cckm:azure-secret:ad3d61f4-c627-41dd-a4f1-40e3d51b5ad2",
    "account": "kylo:kylo:admin:accounts:kylo",
    "application": "ncryptify:gemalto:admin:apps:kylo",
    "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
    "createdAt": "2022-04-04T07:08:10.563796Z",
    "updatedAt": "2022-04-04T07:09:03.165149Z",
    "key_vault": "test vault::1cda5d8b-c825-4976-9999-26022adb76b5",
    "key_vault_id": "81872e17-ddeb-45ef-aaa9-b4c12b27fef3",
    "region": "northcentralus",
    "deleted": false,
    "backup_at": "2022-04-04T07:08:10.562356Z",
    "soft_delete_enabled": true,
    "key_soft_deleted_in_azure": false,
    "syncedAt": "2022-04-04T07:08:09Z",
    "created_by": "ef767cf9-61dd-4765-a4df-ebd65493c728",
    "modified_by": "ef767cf9-61dd-4765-a4df-ebd65493c728",
    "backup": "4616e58638684dbfb1a0b1c08f89f2d412778c03a87841bbb17da903e35c009c",
    "secret_name": "azuresecret",
    "azure_param": {
        "attributes": {
            "recoveryLevel": "CustomizedRecoverable+Purgeable",
            "enabled": true,
            "created": 1649056089,
            "updated": 1649056089
        }
    },
    "azure_created_at": "2022-04-04T07:08:09Z",
    "azure_updated_at": "2022-04-04T07:08:09Z",
    "tenant": "d27d849e-e487-4b0e-a54c-a71e67687d10",
    "status": "AVAILABLE"
}

The sample output shows that the parameter status becomes AVAILABLE. This indicates that the secret is recovered.

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.